CREATE TABLE hrc_dl_layout_attributes_b[ (
    LAYOUT_ATTRIBUTE_ID              NUMBER(18, 0)     NOT NULL,
    MODULE_ID                        VARCHAR2(128) ,
    LAYOUT_ID                        NUMBER(18, 0)     NOT NULL,
    SEQUENCE_NUMBER                  NUMBER(5, 0)      NOT NULL,
    BUSINESS_OBJECT_ID               NUMBER(18, 0)     NOT NULL,
    ATTRIBUTE_NAME                   VARCHAR2(400)     NOT NULL,
    ATTRIBUTE_TYPE                   VARCHAR2(120)     NOT NULL,
    ATTRIBUTE_DATATYPE               VARCHAR2(120)     NOT NULL,
    MANDATORY_FLAG                   VARCHAR2(16)      NOT NULL,
    VISIBLE_FLAG                     VARCHAR2(16)      NOT NULL,
    USER_KEY_FLAG                    VARCHAR2(16)      NOT NULL,
    PARENT_USER_KEY_FLAG             VARCHAR2(16)      NOT NULL,
    SOURCE_ATTRIBUTE_ID              NUMBER(18, 0) ,
    LIST_TYPE                        VARCHAR2(400) ,
    DISPLAY_TYPE                     VARCHAR2(960) ,
    LIST_VIEW_DEF_NAME               VARCHAR2(960) ,
    DISPLAY_ATTR_LIST                VARCHAR2(960) ,
    RETURN_ATTR_NAME                 VARCHAR2(4000),
    LIST_VIEW_CRIT_LIST              VARCHAR2(4000),
    LIST_BIND_MAP                    VARCHAR2(4000),
    LIST_QUERY_CRITERIA              VARCHAR2(960) ,
    FLEXFIELD_CODE                   VARCHAR2(160) ,
    FLEXFIELD_CONTEXT_CODE           VARCHAR2(320) ,
    ENTERPRISE_ID                    NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    STAGE_COL_NAME                   VARCHAR2(120)     NOT NULL,
    DEFAULT_VALUE                    VARCHAR2(2000),
    ENABLE_FLAG                      VARCHAR2(16)      NOT NULL,
    READ_ONLY                        VARCHAR2(16)  ,
    DEFAULT_VAL_DATE                 DATE          ,
    DEFAULT_VAL_TMSTMP               TIMESTAMP(6)  ,
    LAYOUT_BUS_OBJ_ID                NUMBER(18, 0) ,
    GROUP_CODE                       VARCHAR2(200) ,
    INTKEY_HINT_ALLOWED_FLAG         VARCHAR2(16)  ,
    ATTRIBUTE_HINT                   VARCHAR2(120) ,
    HINTS                            VARCHAR2(4000),
    ATTRIBUTE_SUBTYPE                VARCHAR2(120) ,
    PARENT_BUSINESS_OBJECT_ID        NUMBER(18, 0) ,
    PARENT_ATTRIBUTE_NAME            VARCHAR2(400) ,
    USER_KEY_ATTR_NAMES              VARCHAR2(4000),
    SECURE_FLAG                      VARCHAR2(16)  ,
    DATA_LENGTH                      NUMBER(4, 0)  ,
    REFERENCED_BUSINESS_OBJECT_ID    NUMBER(18, 0) ,
    OBSOLETE_FLAG                    VARCHAR2(16)  ,
    DEPENDENT_ATTR_NAMES             VARCHAR2(4000),
    ATTRIBUTE_KEY                    VARCHAR2(2000),
    CUSTOM_QUERY_CRITERIA            VARCHAR2(4000),
    CUSTOM_VIEW_CRITERIA             VARCHAR2(4000),
    CUSTOM_QUERY_HINTS               VARCHAR2(4000),
    CUSTOM_VIEW_HINTS                VARCHAR2(4000),
    DEFAULT_EXPRESSION               VARCHAR2(4000),
    KEY_PREFERENCE                   VARCHAR2(800) ,
    SEED_DATA_SOURCE                 VARCHAR2(2048),
    ATTRIB_KEY_REF                   VARCHAR2(4000),
    ATTRIB_INFO1                     VARCHAR2(4000),
    ATTRIB_INFO2                     VARCHAR2(4000),
    ATTRIBUTE_SUB_CATEGORY           VARCHAR2(120) ,
    SGUID                            VARCHAR2(128) ,
    ORA_SEED_SET1                    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                    VARCHAR2(4)       NOT NULL
);
